Could not find androidx.navigation:safe-args-gradle-plugin:1.0.0-alpha01

  • A+
Category:Languages

I want to use Navigation Architecture Components.

But I got a problem with importing safeargs

Sync message:

Could not find androidx.navigation:safe-args-gradle-plugin:1.0.0-alpha01. Searched in the following locations:
https://dl.google.com/dl/android/maven2/androidx/navigation/safe-args-gradle-plugin/1.0.0-alpha01/safe-args-gradle-plugin-1.0.0-alpha01.pom
https://dl.google.com/dl/android/maven2/androidx/navigation/safe-args-gradle-plugin/1.0.0-alpha01/safe-args-gradle-plugin-1.0.0-alpha01.jar
https://jcenter.bintray.com/androidx/navigation/safe-args-gradle-plugin/1.0.0-alpha01/safe-args-gradle-plugin-1.0.0-alpha01.pom
https://jcenter.bintray.com/androidx/navigation/safe-args-gradle-plugin/1.0.0-alpha01/safe-args-gradle-plugin-1.0.0-alpha01.jar
Required by:
project :

I followed Adding Components to your Project but does not solved my problem.

Project: build.gradle

// Top-level build file where you can add configuration options common to all sub-projects/modules.  buildscript {      repositories {         google()         jcenter()     }     dependencies {         classpath 'com.android.tools.build:gradle:3.1.2'         classpath "androidx.navigation:safe-args-gradle-plugin:1.0.0-alpha01"          // NOTE: Do not place your application dependencies here; they belong         // in the individual module build.gradle files     } }  allprojects {     repositories {         google()         jcenter()     } }  task clean(type: Delete) {     delete rootProject.buildDir } 

Module: build.gradle

apply plugin: 'com.android.application' apply plugin: 'androidx.navigation.safeargs'  android {     compileSdkVersion 27     defaultConfig {         applicationId "com.mangoslab.navigation"         minSdkVersion 21         targetSdkVersion 27         versionCode 1         versionName "1.0"         testInstrumentationRunner "android.support.test.runner.AndroidJUnitRunner"     }     buildTypes {         release {             minifyEnabled false             proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'         }     } }  dependencies {     implementation fileTree(dir: 'libs', include: ['*.jar'])     implementation 'com.android.support:appcompat-v7:27.1.1'     testImplementation 'junit:junit:4.12'     androidTestImplementation 'com.android.support.test:runner:1.0.2'     androidTestImplementation 'com.android.support.test.espresso:espresso-core:3.0.2'      def nav_version = "1.0.0-alpha01"      implementation "android.arch.navigation:navigation-fragment:${nav_version}" // use -ktx for Kotlin     implementation "android.arch.navigation:navigation-ui:${nav_version}" // use -ktx for Kotlin      // optional - Test helpers     androidTestImplementation "android.arch.navigation:navigation-testing:${nav_version}" // use -ktx for Kotlin } 


Try to add

classpath "android.arch.navigation:navigation-safe-args-gradle-plugin:1.0.0-alpha01"  

instead of

classpath "androidx.navigation:safe-args-gradle-plugin:1.0.0-alpha01" 

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: